Diff Workflow Versions
curl --request GET \
--url https://api.retab.com/v1/workflows/versions/diff \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.retab.com/v1/workflows/versions/diff"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.retab.com/v1/workflows/versions/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from_workflow_version_id": "<string>",
"to_workflow_version_id": "<string>",
"added_block_ids": [],
"removed_block_ids": [],
"changed_block_ids": [],
"added_edge_ids": [],
"removed_edge_ids": [],
"changed_edge_ids": []
}{
"detail": []
}Versions
Diff Workflow Versions
GET
/
v1
/
workflows
/
versions
/
diff
Diff Workflow Versions
Compare two immutable workflow graph versions.
Python
from_version_id = "wfv_before"
to_version_id = "wfv_after"
print(from_version_id, to_version_id)
TypeScript
const fromWorkflowVersionId = "wfv_before";
const toWorkflowVersionId = "wfv_after";
console.log(fromWorkflowVersionId, toWorkflowVersionId);
Go
fromWorkflowVersionID := "wfv_before"
toWorkflowVersionID := "wfv_after"
_, _ = fromWorkflowVersionID, toWorkflowVersionID
Java
String fromWorkflowVersionId = "wfv_before";
String toWorkflowVersionId = "wfv_after";
System.out.println(fromWorkflowVersionId + " " + toWorkflowVersionId);
cURL
curl "https://api.retab.com/v1/workflows/versions/diff?workflow_id=wf_abc123&from_workflow_version_id=wfv_before&to_workflow_version_id=wfv_after" \
-H "Authorization: Bearer $RETAB_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Workflow whose versions to diff
Base workflow version ID
Target workflow version ID
⌘I